POST api/v1/RecommendationTags
Request Information
URI Parameters
None.
Body Parameters
RecommendationTag| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer |
None. |
|
| Name | string |
None. |
|
| Slug | string |
None. |
|
| Category | byte |
None. |
|
| IsActive | boolean |
None. |
|
| IsDeleted | boolean |
None. |
|
| CreatedAt | date |
None. |
|
| UpdatedAt | date |
None. |
|
| RecommendationItem | Collection of RecommendationItem |
None. |
Request Formats
application/json, text/json
Sample:
{
"id": 1,
"name": "sample string 2",
"slug": "sample string 3",
"category": 64,
"isActive": true,
"isDeleted": true,
"createdAt": "2026-04-18T15:02:50.9117769+03:00",
"updatedAt": "2026-04-18T15:02:50.9117769+03:00",
"recommendationItem": [
{
"id": 1,
"type": 64,
"title": "sample string 3",
"subtitle": "sample string 4",
"description": "sample string 5",
"badgeLeft": "sample string 6",
"badgeRight": "sample string 7",
"imageUrl": "sample string 8",
"contentUrl": "sample string 9",
"minAgeMonths": 10,
"maxAgeMonths": 1,
"isActive": true,
"isDeleted": true,
"createdAt": "2026-04-18T15:02:50.9117769+03:00",
"updatedAt": "2026-04-18T15:02:50.9117769+03:00",
"recommendationTag": []
},
{
"id": 1,
"type": 64,
"title": "sample string 3",
"subtitle": "sample string 4",
"description": "sample string 5",
"badgeLeft": "sample string 6",
"badgeRight": "sample string 7",
"imageUrl": "sample string 8",
"contentUrl": "sample string 9",
"minAgeMonths": 10,
"maxAgeMonths": 1,
"isActive": true,
"isDeleted": true,
"createdAt": "2026-04-18T15:02:50.9117769+03:00",
"updatedAt": "2026-04-18T15:02:50.9117769+03:00",
"recommendationTag": []
}
]
}
application/xml
Sample:
Sample not available.
text/xml
Sample:
Sample not available.
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json, application/xml, text/xml
Sample:
Sample not available.